Dash0 acquires Polar Signals

Manage Synthetic Checks

Import a synthetic check

post/api/import/synthetic-check

This endpoint allows you to import an existing synthetic check into your organization. It's intended for one-time migrations rather than ongoing synthetic check management. Unlike the standard API, this endpoint supports importing synthetic checks with full editability, allowing you to modify synthetic checks that were previously created elsewhere. Note: This endpoint is not recommended for Infrastructure-as-Code (IaC) workflows. Using it in IaC scenarios can cause configuration drift and inconsistencies between your source configuration and the imported synthetic check state. Importing a synthetic check without an id will create a new synthetic check and return the created asset with a generated id. Importing a synthetic check with an existing id (metadata>dash0Extensions>id) will override the corresponding synthetic check definition. In case there is no synthetic check with the given id a new dashboard will be created.

Parameters 1

datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample request
12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576
curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/import/synthetic-check' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "Dash0SyntheticCheck",
"metadata": {
"name": "Example"
},
"spec": {
"plugin": {
"kind": "http",
"spec": {
"request": {
"method": "get",
"url": "example",
"redirects": "follow",
"tls": {
"allowInsecure": true
},
"tracing": {
"addTracingHeaders": true
},
"headers": [
{
"name": "Example",
"value": "example"
}
],
"queryParameters": [
{
"name": "Example",
"value": "example"
}
]
},
"assertions": {
"criticalAssertions": [
{
"kind": "status_code",
"spec": {
"operator": "is",
"value": "example"
}
}
],
"degradedAssertions": [
{
"kind": "status_code",
"spec": {
"operator": "is",
"value": "example"
}
}
]
}
}
},
"schedule": {
"strategy": "all_locations",
"interval": "1m",
"locations": [
"example"
]
},
"retries": {
"kind": "off",
"spec": {}
},
"notifications": {
"channels": [
"123e4567-e89b-42d3-a456-426614174000"
]
},
"enabled": true
}
}'

Request body required

stringrequired
"Dash0SyntheticCheck"
SyntheticCheckMetadatarequired
SyntheticCheckSpecrequired

Responses

The imported synthetic check.

stringrequired
"Dash0SyntheticCheck"
SyntheticCheckMetadatarequired
SyntheticCheckSpecrequired